tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: Early Access builds for JDK 9 b16, JDK 8u20 b17 are available on java.net
Date Mon, 09 Jun 2014 17:05:53 GMT
Mark,

On 6/9/14, 12:45 PM, Mark Thomas wrote:
> On 09/06/2014 13:12, Rory O'Donnell wrote:
>> Hi Mladen,
>>
>> Early Access builds for JDK 9 b16 <https://jdk9.java.net/download/>  and
>> JDK 8u20 b17 <https://jdk8.java.net/download.html>  are available on
>> java.net.
>>
>> As we enter the later phases of development for JDK 8u20 , please log
>> any show
>> stoppers as soon as possible.
>>
>> Mark - as I mentioned , the backport fix for JDK-8041481
>> <https://bugs.openjdk.java.net/browse/JDK-8041481> is in JDK 8u20 b17
>> as JDK-8039751 <https://bugs.openjdk.java.net/browse/JDK-8039751> can
>> you confirm the fix when you get a chance ?
> 
> Confirmed. All the UTF-8 bugs I am currently aware of (and are tested in
> the Tomcat unit tests) are fixed with JDK 8u20 b17.

What would the target be for removing Tomcat's hacks, then? Or would we
leave them all in there and only enable them in a sufficiently old
version of the JRE? It's obviously possible to do that, but in the
interests of removing those hacks, is it reasonable to force users to
use a certain patch-level of the JRE?

-chris


Mime
View raw message